[arch-commits] Commit in openscenegraph/repos (8 files)

Sergej Pupykin spupykin at archlinux.org
Tue Nov 25 11:17:27 UTC 2014


    Date: Tuesday, November 25, 2014 @ 12:17:27
  Author: spupykin
Revision: 123104

archrelease: copy trunk to community-i686, community-x86_64

Added:
  openscenegraph/repos/community-i686/PKGBUILD
    (from rev 123103, openscenegraph/trunk/PKGBUILD)
  openscenegraph/repos/community-i686/giflib.patch
    (from rev 123103, openscenegraph/trunk/giflib.patch)
  openscenegraph/repos/community-x86_64/PKGBUILD
    (from rev 123103, openscenegraph/trunk/PKGBUILD)
  openscenegraph/repos/community-x86_64/giflib.patch
    (from rev 123103, openscenegraph/trunk/giflib.patch)
Deleted:
  openscenegraph/repos/community-i686/PKGBUILD
  openscenegraph/repos/community-i686/giflib.patch
  openscenegraph/repos/community-x86_64/PKGBUILD
  openscenegraph/repos/community-x86_64/giflib.patch

-------------------------------+
 /PKGBUILD                     |  124 ++++++++++++++++++++++++++++++++++++++++
 /giflib.patch                 |   24 +++++++
 community-i686/PKGBUILD       |   59 -------------------
 community-i686/giflib.patch   |   12 ---
 community-x86_64/PKGBUILD     |   59 -------------------
 community-x86_64/giflib.patch |   12 ---
 6 files changed, 148 insertions(+), 142 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2014-11-25 11:16:34 UTC (rev 123103)
+++ community-i686/PKGBUILD	2014-11-25 11:17:27 UTC (rev 123104)
@@ -1,59 +0,0 @@
-# $Id$
-# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Maintainer: Hans Janssen <janserv at gmail.com>
-# Contributor: my64 <packages at obordes.com>
-# Contributor: Colin Pitrat <colin.pitrat at gmail.com>
-
-pkgname=openscenegraph
-pkgver=3.2.1
-pkgrel=2
-pkgdesc="An Open Source, high performance real-time graphics toolkit"
-arch=('i686' 'x86_64')
-license=('custom:OSGPL')
-url="http://www.openscenegraph.org"
-depends=('giflib' 'jasper' 'librsvg' 'xine-lib' 'curl' 'pth')
-makedepends=('cmake' 'libvncserver' 'qt4' 'ffmpeg-compat' 'mesa')
-optdepends=('libvncserver' 'gdal' 'openexr' 'poppler-glib' 'qt4')
-conflicts=('openthreads')
-provides=('openthreads')
-#source=(http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-$pkgver/source/OpenSceneGraph-$pkgver.zip
-source=(http://www.openscenegraph.org/downloads/developer_releases/OpenSceneGraph-$pkgver.zip
-	giflib.patch)
-md5sums=('4f95206a1eef218bd007c3b43e1334f5'
-         '8c06c8410e8840e83c242b8b401cdad7')
-
-prepare() {
-  cd OpenSceneGraph-$pkgver
-  patch -p1 <$srcdir/giflib.patch
-}
-
-build() {
-  cd OpenSceneGraph-$pkgver
-  export PKG_CONFIG_PATH=/usr/lib/ffmpeg-compat/pkgconfig:$PKG_CONFIG_PATH
-  LDFLAGS="$LDFLAGS -Wl,-rpath -Wl,/usr/lib/ffmpeg-compat"
-  CFLAGS="$CFLAGS -D__STDC_CONSTANT_MACROS"
-  CXXFLAGS="$CXXFLAGS -D__STDC_CONSTANT_MACROS"
-  [ $NOEXTRACT -eq 1 ] || cmake . \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DCMAKE_BUILD_TYPE=Release \
-    -DFFMPEG_LIBAVCODEC_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
-    -DFFMPEG_LIBAVCODEC_LIBRARIES=/usr/lib/ffmpeg-compat/libavcodec.so \
-    -DFFMPEG_LIBAVDEVICE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
-    -DFFMPEG_LIBAVDEVICE_LIBRARIES=/usr/lib/ffmpeg-compat/libavdevice.so \
-    -DFFMPEG_LIBAVFORMAT_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
-    -DFFMPEG_LIBAVFORMAT_LIBRARIES=/usr/lib/ffmpeg-compat/libavformat.so \
-    -DFFMPEG_LIBAVUTIL_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
-    -DFFMPEG_LIBAVUTIL_LIBRARIES=/usr/lib/ffmpeg-compat/libavutil.so \
-    -DFFMPEG_LIBSWSCALE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
-    -DFFMPEG_LIBSWSCALE_LIBRARIES=/usr/lib/ffmpeg-compat/libswscale.so
-
-#  sed -i 's|#include <curl/types.h>|//#include <curl/types.h>|' src/osgPlugins/curl/ReaderWriterCURL.cpp
-  make
-}
-
-package() {
-  cd OpenSceneGraph-$pkgver
-  make DESTDIR="$pkgdir" install
-  install -D -m644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-  [ -d "$pkgdir/usr/lib64" ] && mv "$pkgdir/usr/lib64" "$pkgdir/usr/lib" || true
-}

Copied: openscenegraph/repos/community-i686/PKGBUILD (from rev 123103, openscenegraph/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2014-11-25 11:17:27 UTC (rev 123104)
@@ -0,0 +1,62 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Maintainer: Hans Janssen <janserv at gmail.com>
+# Contributor: my64 <packages at obordes.com>
+# Contributor: Colin Pitrat <colin.pitrat at gmail.com>
+
+pkgname=openscenegraph
+pkgver=3.2.1
+pkgrel=3
+pkgdesc="An Open Source, high performance real-time graphics toolkit"
+arch=('i686' 'x86_64')
+license=('custom:OSGPL')
+url="http://www.openscenegraph.org"
+depends=('giflib' 'jasper' 'librsvg' 'xine-lib' 'curl' 'pth')
+makedepends=('cmake' 'libvncserver' 'qt4' 'ffmpeg-compat' 'mesa')
+optdepends=('libvncserver' 'gdal' 'openexr' 'poppler-glib' 'qt4')
+conflicts=('openthreads')
+provides=('openthreads')
+#source=(http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-$pkgver/source/OpenSceneGraph-$pkgver.zip
+source=(http://www.openscenegraph.org/downloads/developer_releases/OpenSceneGraph-$pkgver.zip
+	https://github.com/openscenegraph/osg/commit/49d560f4d9d0641c98df67264b7ace4733c6b9a9.patch
+	giflib.patch)
+md5sums=('4f95206a1eef218bd007c3b43e1334f5'
+         '6e3c75677f87113f18912916352c6cbd'
+         '8c06c8410e8840e83c242b8b401cdad7')
+
+prepare() {
+  cd OpenSceneGraph-$pkgver
+  patch -p1 <$srcdir/giflib.patch
+  patch -p1 <$srcdir/49d560f4d9d0641c98df67264b7ace4733c6b9a9.patch
+}
+
+build() {
+  cd OpenSceneGraph-$pkgver
+  export PKG_CONFIG_PATH=/usr/lib/ffmpeg-compat/pkgconfig:$PKG_CONFIG_PATH
+  LDFLAGS="$LDFLAGS -Wl,-rpath -Wl,/usr/lib/ffmpeg-compat"
+  CFLAGS="$CFLAGS -D__STDC_CONSTANT_MACROS"
+  CXXFLAGS="$CXXFLAGS -D__STDC_CONSTANT_MACROS"
+  [ $NOEXTRACT -eq 1 ] || cmake . \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DFFMPEG_LIBAVCODEC_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVCODEC_LIBRARIES=/usr/lib/ffmpeg-compat/libavcodec.so \
+    -DFFMPEG_LIBAVDEVICE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVDEVICE_LIBRARIES=/usr/lib/ffmpeg-compat/libavdevice.so \
+    -DFFMPEG_LIBAVFORMAT_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVFORMAT_LIBRARIES=/usr/lib/ffmpeg-compat/libavformat.so \
+    -DFFMPEG_LIBAVUTIL_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVUTIL_LIBRARIES=/usr/lib/ffmpeg-compat/libavutil.so \
+    -DFFMPEG_LIBSWSCALE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBSWSCALE_LIBRARIES=/usr/lib/ffmpeg-compat/libswscale.so
+
+#  sed -i 's|#include <curl/types.h>|//#include <curl/types.h>|' src/osgPlugins/curl/ReaderWriterCURL.cpp
+  make
+}
+
+package() {
+  cd OpenSceneGraph-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -D -m644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+  [ -d "$pkgdir/usr/lib64" ] && mv "$pkgdir/usr/lib64" "$pkgdir/usr/lib" || true
+}

Deleted: community-i686/giflib.patch
===================================================================
--- community-i686/giflib.patch	2014-11-25 11:16:34 UTC (rev 123103)
+++ community-i686/giflib.patch	2014-11-25 11:17:27 UTC (rev 123104)
@@ -1,12 +0,0 @@
-diff -wbBur OpenSceneGraph-3.2.0/src/osgPlugins/gif/ReaderWriterGIF.cpp OpenSceneGraph-3.2.0.q/src/osgPlugins/gif/ReaderWriterGIF.cpp
---- OpenSceneGraph-3.2.0/src/osgPlugins/gif/ReaderWriterGIF.cpp	2013-06-03 18:04:02.000000000 +0400
-+++ OpenSceneGraph-3.2.0.q/src/osgPlugins/gif/ReaderWriterGIF.cpp	2014-05-29 19:00:40.163985068 +0400
-@@ -561,7 +561,7 @@
-     *width_ret = giffile->SWidth;
-     *height_ret = giffile->SHeight;
-     *numComponents_ret = 4;
--    DGifCloseFile(giffile);
-+    DGifCloseFile(giffile, NULL);
-     return buffer;
- }
- 

Copied: openscenegraph/repos/community-i686/giflib.patch (from rev 123103, openscenegraph/trunk/giflib.patch)
===================================================================
--- community-i686/giflib.patch	                        (rev 0)
+++ community-i686/giflib.patch	2014-11-25 11:17:27 UTC (rev 123104)
@@ -0,0 +1,12 @@
+diff -wbBur OpenSceneGraph-3.2.0/src/osgPlugins/gif/ReaderWriterGIF.cpp OpenSceneGraph-3.2.0.q/src/osgPlugins/gif/ReaderWriterGIF.cpp
+--- OpenSceneGraph-3.2.0/src/osgPlugins/gif/ReaderWriterGIF.cpp	2013-06-03 18:04:02.000000000 +0400
++++ OpenSceneGraph-3.2.0.q/src/osgPlugins/gif/ReaderWriterGIF.cpp	2014-05-29 19:00:40.163985068 +0400
+@@ -561,7 +561,7 @@
+     *width_ret = giffile->SWidth;
+     *height_ret = giffile->SHeight;
+     *numComponents_ret = 4;
+-    DGifCloseFile(giffile);
++    DGifCloseFile(giffile, NULL);
+     return buffer;
+ }
+ 

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2014-11-25 11:16:34 UTC (rev 123103)
+++ community-x86_64/PKGBUILD	2014-11-25 11:17:27 UTC (rev 123104)
@@ -1,59 +0,0 @@
-# $Id$
-# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Maintainer: Hans Janssen <janserv at gmail.com>
-# Contributor: my64 <packages at obordes.com>
-# Contributor: Colin Pitrat <colin.pitrat at gmail.com>
-
-pkgname=openscenegraph
-pkgver=3.2.1
-pkgrel=2
-pkgdesc="An Open Source, high performance real-time graphics toolkit"
-arch=('i686' 'x86_64')
-license=('custom:OSGPL')
-url="http://www.openscenegraph.org"
-depends=('giflib' 'jasper' 'librsvg' 'xine-lib' 'curl' 'pth')
-makedepends=('cmake' 'libvncserver' 'qt4' 'ffmpeg-compat' 'mesa')
-optdepends=('libvncserver' 'gdal' 'openexr' 'poppler-glib' 'qt4')
-conflicts=('openthreads')
-provides=('openthreads')
-#source=(http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-$pkgver/source/OpenSceneGraph-$pkgver.zip
-source=(http://www.openscenegraph.org/downloads/developer_releases/OpenSceneGraph-$pkgver.zip
-	giflib.patch)
-md5sums=('4f95206a1eef218bd007c3b43e1334f5'
-         '8c06c8410e8840e83c242b8b401cdad7')
-
-prepare() {
-  cd OpenSceneGraph-$pkgver
-  patch -p1 <$srcdir/giflib.patch
-}
-
-build() {
-  cd OpenSceneGraph-$pkgver
-  export PKG_CONFIG_PATH=/usr/lib/ffmpeg-compat/pkgconfig:$PKG_CONFIG_PATH
-  LDFLAGS="$LDFLAGS -Wl,-rpath -Wl,/usr/lib/ffmpeg-compat"
-  CFLAGS="$CFLAGS -D__STDC_CONSTANT_MACROS"
-  CXXFLAGS="$CXXFLAGS -D__STDC_CONSTANT_MACROS"
-  [ $NOEXTRACT -eq 1 ] || cmake . \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DCMAKE_BUILD_TYPE=Release \
-    -DFFMPEG_LIBAVCODEC_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
-    -DFFMPEG_LIBAVCODEC_LIBRARIES=/usr/lib/ffmpeg-compat/libavcodec.so \
-    -DFFMPEG_LIBAVDEVICE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
-    -DFFMPEG_LIBAVDEVICE_LIBRARIES=/usr/lib/ffmpeg-compat/libavdevice.so \
-    -DFFMPEG_LIBAVFORMAT_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
-    -DFFMPEG_LIBAVFORMAT_LIBRARIES=/usr/lib/ffmpeg-compat/libavformat.so \
-    -DFFMPEG_LIBAVUTIL_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
-    -DFFMPEG_LIBAVUTIL_LIBRARIES=/usr/lib/ffmpeg-compat/libavutil.so \
-    -DFFMPEG_LIBSWSCALE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
-    -DFFMPEG_LIBSWSCALE_LIBRARIES=/usr/lib/ffmpeg-compat/libswscale.so
-
-#  sed -i 's|#include <curl/types.h>|//#include <curl/types.h>|' src/osgPlugins/curl/ReaderWriterCURL.cpp
-  make
-}
-
-package() {
-  cd OpenSceneGraph-$pkgver
-  make DESTDIR="$pkgdir" install
-  install -D -m644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-  [ -d "$pkgdir/usr/lib64" ] && mv "$pkgdir/usr/lib64" "$pkgdir/usr/lib" || true
-}

Copied: openscenegraph/repos/community-x86_64/PKGBUILD (from rev 123103, openscenegraph/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2014-11-25 11:17:27 UTC (rev 123104)
@@ -0,0 +1,62 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Maintainer: Hans Janssen <janserv at gmail.com>
+# Contributor: my64 <packages at obordes.com>
+# Contributor: Colin Pitrat <colin.pitrat at gmail.com>
+
+pkgname=openscenegraph
+pkgver=3.2.1
+pkgrel=3
+pkgdesc="An Open Source, high performance real-time graphics toolkit"
+arch=('i686' 'x86_64')
+license=('custom:OSGPL')
+url="http://www.openscenegraph.org"
+depends=('giflib' 'jasper' 'librsvg' 'xine-lib' 'curl' 'pth')
+makedepends=('cmake' 'libvncserver' 'qt4' 'ffmpeg-compat' 'mesa')
+optdepends=('libvncserver' 'gdal' 'openexr' 'poppler-glib' 'qt4')
+conflicts=('openthreads')
+provides=('openthreads')
+#source=(http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-$pkgver/source/OpenSceneGraph-$pkgver.zip
+source=(http://www.openscenegraph.org/downloads/developer_releases/OpenSceneGraph-$pkgver.zip
+	https://github.com/openscenegraph/osg/commit/49d560f4d9d0641c98df67264b7ace4733c6b9a9.patch
+	giflib.patch)
+md5sums=('4f95206a1eef218bd007c3b43e1334f5'
+         '6e3c75677f87113f18912916352c6cbd'
+         '8c06c8410e8840e83c242b8b401cdad7')
+
+prepare() {
+  cd OpenSceneGraph-$pkgver
+  patch -p1 <$srcdir/giflib.patch
+  patch -p1 <$srcdir/49d560f4d9d0641c98df67264b7ace4733c6b9a9.patch
+}
+
+build() {
+  cd OpenSceneGraph-$pkgver
+  export PKG_CONFIG_PATH=/usr/lib/ffmpeg-compat/pkgconfig:$PKG_CONFIG_PATH
+  LDFLAGS="$LDFLAGS -Wl,-rpath -Wl,/usr/lib/ffmpeg-compat"
+  CFLAGS="$CFLAGS -D__STDC_CONSTANT_MACROS"
+  CXXFLAGS="$CXXFLAGS -D__STDC_CONSTANT_MACROS"
+  [ $NOEXTRACT -eq 1 ] || cmake . \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DFFMPEG_LIBAVCODEC_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVCODEC_LIBRARIES=/usr/lib/ffmpeg-compat/libavcodec.so \
+    -DFFMPEG_LIBAVDEVICE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVDEVICE_LIBRARIES=/usr/lib/ffmpeg-compat/libavdevice.so \
+    -DFFMPEG_LIBAVFORMAT_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVFORMAT_LIBRARIES=/usr/lib/ffmpeg-compat/libavformat.so \
+    -DFFMPEG_LIBAVUTIL_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVUTIL_LIBRARIES=/usr/lib/ffmpeg-compat/libavutil.so \
+    -DFFMPEG_LIBSWSCALE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBSWSCALE_LIBRARIES=/usr/lib/ffmpeg-compat/libswscale.so
+
+#  sed -i 's|#include <curl/types.h>|//#include <curl/types.h>|' src/osgPlugins/curl/ReaderWriterCURL.cpp
+  make
+}
+
+package() {
+  cd OpenSceneGraph-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -D -m644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+  [ -d "$pkgdir/usr/lib64" ] && mv "$pkgdir/usr/lib64" "$pkgdir/usr/lib" || true
+}

Deleted: community-x86_64/giflib.patch
===================================================================
--- community-x86_64/giflib.patch	2014-11-25 11:16:34 UTC (rev 123103)
+++ community-x86_64/giflib.patch	2014-11-25 11:17:27 UTC (rev 123104)
@@ -1,12 +0,0 @@
-diff -wbBur OpenSceneGraph-3.2.0/src/osgPlugins/gif/ReaderWriterGIF.cpp OpenSceneGraph-3.2.0.q/src/osgPlugins/gif/ReaderWriterGIF.cpp
---- OpenSceneGraph-3.2.0/src/osgPlugins/gif/ReaderWriterGIF.cpp	2013-06-03 18:04:02.000000000 +0400
-+++ OpenSceneGraph-3.2.0.q/src/osgPlugins/gif/ReaderWriterGIF.cpp	2014-05-29 19:00:40.163985068 +0400
-@@ -561,7 +561,7 @@
-     *width_ret = giffile->SWidth;
-     *height_ret = giffile->SHeight;
-     *numComponents_ret = 4;
--    DGifCloseFile(giffile);
-+    DGifCloseFile(giffile, NULL);
-     return buffer;
- }
- 

Copied: openscenegraph/repos/community-x86_64/giflib.patch (from rev 123103, openscenegraph/trunk/giflib.patch)
===================================================================
--- community-x86_64/giflib.patch	                        (rev 0)
+++ community-x86_64/giflib.patch	2014-11-25 11:17:27 UTC (rev 123104)
@@ -0,0 +1,12 @@
+diff -wbBur OpenSceneGraph-3.2.0/src/osgPlugins/gif/ReaderWriterGIF.cpp OpenSceneGraph-3.2.0.q/src/osgPlugins/gif/ReaderWriterGIF.cpp
+--- OpenSceneGraph-3.2.0/src/osgPlugins/gif/ReaderWriterGIF.cpp	2013-06-03 18:04:02.000000000 +0400
++++ OpenSceneGraph-3.2.0.q/src/osgPlugins/gif/ReaderWriterGIF.cpp	2014-05-29 19:00:40.163985068 +0400
+@@ -561,7 +561,7 @@
+     *width_ret = giffile->SWidth;
+     *height_ret = giffile->SHeight;
+     *numComponents_ret = 4;
+-    DGifCloseFile(giffile);
++    DGifCloseFile(giffile, NULL);
+     return buffer;
+ }
+ 


More information about the arch-commits mailing list